CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000318CEGUICore library (CEGUIBase)public2009-12-13 10:142010-03-16 20:20
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.1 
Target Version0.7.2Fixed in VersionMercurial: default branch 
Summary0000318: Event propagation changes break normal behaviour of widgets
DescriptionSince events are no longer automatically propagated from child to parent, under some circumstances this can interfere with expected behaviour.

One example being the ItemListbox, as reported here:
http://www.cegui.org.uk/phpBB2/viewtopic.php?f=10&t=4554 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000393)
CrazyEddie (administrator)
2009-12-28 10:14

Additionally, see: http://www.cegui.org.uk/phpBB2/viewtopic.php?f=10&t=4576 [^] which appears to be related.
(0000428)
CrazyEddie (administrator)
2010-03-16 20:20

Fixed in branches/v0-7 @ r2476.

The fix adds a new property 'MouseInputPropagationEnabled' to specify that mouse event propagation back to a window's parent is allowed for a given window.

The looknfeels have been updated with many common cases - others can be added by the user as needed - or appropriate patches submitted for any common cases overlooked.

- Issue History
Date Modified Username Field Change
2009-12-13 10:14 CrazyEddie New Issue
2009-12-28 10:14 CrazyEddie Note Added: 0000393
2010-03-07 20:10 CrazyEddie Assigned To => CrazyEddie
2010-03-07 20:10 CrazyEddie Reproducibility have not tried => always
2010-03-07 20:10 CrazyEddie Status new => assigned
2010-03-07 20:10 CrazyEddie Target Version 0.8.3 => 0.7.2
2010-03-07 20:10 CrazyEddie Status assigned => confirmed
2010-03-16 20:20 CrazyEddie Note Added: 0000428
2010-03-16 20:20 CrazyEddie Status confirmed => resolved
2010-03-16 20:20 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-03-16 20:20 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker